summaryrefslogtreecommitdiffstats
path: root/source/l/iso-codes/iso-codes.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/iso-codes/iso-codes.SlackBuild')
-rwxr-xr-xsource/l/iso-codes/iso-codes.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/source/l/iso-codes/iso-codes.SlackBuild b/source/l/iso-codes/iso-codes.SlackBuild
index e6100a35e..ef9b1a799 100755
--- a/source/l/iso-codes/iso-codes.SlackBuild
+++ b/source/l/iso-codes/iso-codes.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2008, 2013 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2008, 2009, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=iso-codes
-VERSION=3.41
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
ARCH=${ARCH:-noarch}
BUILD=${BUILD:-1}
@@ -50,14 +50,14 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- COPYING* INSTALL LICENSE README* TODO \
+ COPYING* LICENSE README* TODO \
$PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history